<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.StoreCuisineMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.StoreCuisine">
        <id column="id" property="id" />
        <result column="store_id" property="storeId" />
        <result column="name" property="name" />
        <result column="total_price" property="totalPrice" />
        <result column="images" property="images" />
        <result column="image_content" property="imageContent" />
        <result column="raw_json" property="rawJson" />
        <result column="detail_content" property="detailContent" />
        <result column="extra_note" property="extraNote" />
        <result column="need_reserve" property="needReserve" />
        <result column="reserve_rule" property="reserveRule" />
        <result column="people_limit" property="peopleLimit" />
        <result column="usage_rule" property="usageRule" />
        <result column="status" property="status" />
        <result column="rejection_reason" property="rejectionReason" />
        <result column="shelf_status" property="shelfStatus" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_user_id" property="updatedUserId" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, store_id, name, total_price, images, image_content, raw_json, detail_content,
        extra_note, need_reserve, reserve_rule, people_limit, usage_rule, status, shelf_status,
        rejection_reason, delete_flag, created_user_id, updated_user_id, created_time, updated_time
    </sql>

</mapper>


